<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" omit-xml-declaration="yes" encoding="UTF-8" indent="yes"/>

<!-- Transformation for table hcrl  -->


<xsl:template match="/">
 <xsl:apply-templates select="ROWSET"/>
</xsl:template>

<xsl:template match="ROWSET">
<table width="100%" border="1" cellspacing="1" cellpadding="1">
  <tr>
  <th></th>
  <th>Crlnum</th>
  <th>Basenum</th>
  <th>ThisUpdate</th>
  <th>NextUpdate</th>
  <th>Fichier</th>
  </tr>
  
  <xsl:if test="count(ROW) = 0">
  <tr><td align="center" colspan="7">Aucun historique</td></tr>
  </xsl:if>
  
  <xsl:for-each select="ROW">
	  <tr>
		  <xsl:if test="(position() mod 2) = 0">
			  <xsl:attribute name="class">
			  <xsl:text>altern0</xsl:text>
			  </xsl:attribute>
		  </xsl:if>
		  <xsl:if test="(position() mod 2) = 1">
			  <xsl:attribute name="class">
			  <xsl:text>altern1</xsl:text>
			  </xsl:attribute>
		  </xsl:if>
		  <td nowrap="true" align="center"> 
	        <input type="radio" name="data" >
		        <xsl:attribute name="value"><xsl:value-of select="data"/></xsl:attribute>  	      
			 	<xsl:if test="(position()) = 1">
				  <xsl:attribute name="checked">
				  <xsl:text>checked</xsl:text>
				  </xsl:attribute>
			  	</xsl:if>
		 	</input>                
	      </td>
		  <td nowrap="true" align="center"><xsl:value-of select="crlnum" /></td>
		  <td nowrap="true" align="center"><xsl:value-of select="basenum" /></td>
		  <td nowrap="true" align="center"><xsl:value-of select="thisupdate" /></td>
		  <td nowrap="true" align="center"><xsl:value-of select="nextupdate" /></td>
		  <td nowrap="true" align="center"><xsl:value-of select="data" /></td>
	  </tr>
  </xsl:for-each>
  

</table>
</xsl:template>

</xsl:stylesheet>
